# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Configuration file for flets-azukeru."""

import os
from product_conf import (CONF_DIR, TEMP_DIR)


FLETS_AZUKERU_CONF_DIR = os.path.join(CONF_DIR, "flets_azukeru")
FLETS_AZUKERU_CONF_PATH = os.path.join(FLETS_AZUKERU_CONF_DIR,
                                        "flets_azukeru.json")
DOWNLOAD_TARGET_CONF_PATH = os.path.join(TEMP_DIR,
                                        "flets_azukeru_download_target")

MAN_NAME = "フレッツ・あずけ〜る連携パッケージ_画面で見るマニュアル.pdf"

_DESTINATION_LIST = [
        "east",
        "west",
        "pro_east_line_auth",
        "pro_west_line_auth",
        "pro_terminal_auth",
        "pro_aio_terminal_auth",
        "pro_oem_line_auth",
        "pro_oem_terminal_auth",
    ]

HOST_NAME_KEY = "host_name"
USING_IMAGE_LOGIN_KEY = "using_image_login"
COMPANY_ID_KEY = "company_id"
SERVICE_ID_KEY = "service_id"

EAST_COMPANY_ID = "fbs-0008"
EAST_SERVICE_ID = "pwugivugjj3tgulnacnxNbsji1aHgpc0"
WEST_COMPANY_ID = "faw-al-01"
WEST_SERVICE_ID = "u9i3rnshtgfkri4h3yepwumzalo273jr"

_INFO_LIST = [
        {
            HOST_NAME_KEY: "www.azukeru.ntt-east.net",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.azukeru.ntt-west.net",
            USING_IMAGE_LOGIN_KEY: False,
            COMPANY_ID_KEY: WEST_COMPANY_ID,
            SERVICE_ID_KEY: WEST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.azukeru.flets-east.jp",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.storage-online.e-ntt.cast.flets-west.jp",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.azukeru.ntt-east.net",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.azukeru.maruraku.net",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.storage-online.biz",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
        {
            HOST_NAME_KEY: "www.storage-online.net",
            USING_IMAGE_LOGIN_KEY: True,
            COMPANY_ID_KEY: EAST_COMPANY_ID,
            SERVICE_ID_KEY: EAST_SERVICE_ID,
        },
    ]

DESTINATION_INFO_MAP = dict(zip(_DESTINATION_LIST, _INFO_LIST))
