#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os
try:
    import json
except ImportError:
    import simplejson as json

from django.utils.translation import ugettext as _
from django.http import HttpResponse

from project.view import FuncView


def _obtain_sharenames(default=[]):
    try:
        from project.fal.share import Share
        return [sharename for sharename in Share().load().keys()]
    except:
        return default


class LocalSharenamesView(FuncView):

    views = []

    def view(self, request, *args, **kwargs):
        sharenames = sorted(_obtain_sharenames())
        response = HttpResponse(
            json.dumps(sharenames),
            mimetype='application/json;charset=UTF-8;',
        )
        return {
            self.KEY_RESPONSE: response,
        }
